<?php
include('db/connection.php');
date_default_timezone_set('Asia/Kolkata');

$id = $_GET['id'];

$sql = "SELECT * FROM mas_slot WHERE id = '$id'";
$result = $con->query($sql);
$row = $result->fetch_assoc();

$id = $row['id'];

$devsql = "SELECT * FROM divisions WHERE slot_id = '$id'";
$devresult = $con->query($devsql);


$typeSql = "SELECT * FROM mas_slot_type";
$typeRes = $con->query($typeSql);


?>
<?php include 'layouts/header.php'; ?>
<?php include 'layouts/topbar.php'; ?>
<?php include 'layouts/sidebar.php'; ?>

<!-- [ Header ] end --><!-- [ Main Content ] start -->
<section class="pc-container">
    <div class="pc-content">
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12">
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                            <li class="breadcrumb-item"><a href="javascript: void(0)">Edit Contest</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <h5>Edit Spin Contest</h5>
                    </div>
                    <form action="edit_save_slot.php" id="amountForm" method="POST" enctype="multipart/form-data">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-sm-4">
                                    <label class="form-label">Spin Wheel ID:</label>
                                    <input type="text" class="form-control form-control-sm" name="slot_id" id="slot_id" value="<?= $row['primary_id'];?>" readonly placeholder="Enter Name" required>
                                    <input type="hidden" class="form-control form-control-sm" name="id" id="id" value="<?= $row['id'];?>">
                                </div>
                                <div class="col-sm-4">
                                    <label class="form-label">Spin Wheel type:</label>
                                    <select name="type" id="type" class="form-select form-select-sm">
                                        <option value="">Select Contest type</option>
                                        <?php
                                        while($typerow = $typeRes->fetch_assoc()){
                                            ?>
                                            <option value="<?= $typerow['id']; ?>" <?php if($row['slot_type'] == $typerow['id']){ echo "selected";} ?>><?= $typerow['type']; ?></option>
                                            <?php
                                        }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-sm-2">
                                    <label class="form-label">Spin Wheel Image:</label>
                                    <input type="file" class="form-control form-control-sm" name="slot_img" id="slot_img" placeholder="Enter Name">
                                </div>
                                <div class="col-sm-2">
                                    <label class="form-label">Current Image:</label>
                                    <input type="hidden" name="slot_hid_img" value="<?= $row['slot_img']; ?>">
                                    <div class="flex-shrink-0"><img src="slotimage/<?= $row['slot_img']; ?>" alt="user image" class="img-radius wid-40"></div>
                                </div>
                                <div class="col-sm-4">
                                    <label class="form-label">Spin Wheel Name:</label>
                                    <input type="text" class="form-control form-control-sm" name="slot_name" id="slot_name" value="<?= $row['slot_name'];?>" placeholder="Enter Name" required>
                                </div>
                                <div class="col-sm-4">
                                    <label class="form-label">Slot Count:</label>
                                    <input type="number" class="form-control form-control-sm" name="divisionvalue" id="divisionvalue" placeholder="Enter Total Slot" onkeyup="divisionCount(event)">
                                </div>
                                <div class="col-sm-4">
                                    <label class="form-label">Maximum Entry:</label>
                                    <input type="number" class="form-control form-control-sm" name="totalentry" id="totalentry" placeholder="Enter maximum entry" value="<?= $row['totalentry'];?>" required>
                                </div>
                            </div>
                            <hr>
                            <h5>Validate date and time</h5>
                            <hr>
                            <div class="row">
                                <div class="col-sm-3">
                                    <label class="form-label">From date and time:</label>
                                    <input type="datetime-local" class="form-control form-control-sm" name="fromdatetime" id="fromdatetime" value="<?= date('Y-m-d\TH:i', strtotime($row['fromdatetime'])); ?>" required>
                                </div>
                                <div class="col-sm-3">
                                    <label class="form-label">To date and time:</label>
                                    <input type="datetime-local" class="form-control form-control-sm" name="todatetime" id="todatetime" value="<?= date('Y-m-d\TH:i', strtotime($row['todatetime'])); ?>" required>
                                </div>
                                <div class="col-sm-3">
                                    <label class="form-label">Spin end Date time:</label>
                                    <input type="datetime-local" class="form-control form-control-sm" name="spinenddatetime" id="spinenddatetime" value="<?= date('Y-m-d\TH:i', strtotime($row['spinenddatetime'])); ?>" required>
                                </div>
                            </div>
                            <hr>
                            <table class="table">
                                <thead>
                                    <th>S No</th>
                                    <th>slot Name</th>
                                    <th>slot Image</th>
                                    <th>Entry</th>
                                    <th>Minimum Amount</th>
                                    <th>Maximum Amount</th>
                                </thead>
                                <tbody>
                                    <?php
                                    $i = 0;
                                    while($devRow = $devresult->fetch_assoc()){
                                        $i++;
                                    ?>
                                    <tr>
                                        <td><input type="number" class="form-control form-control-sm" value="<?= $i; ?>" readonly /></td>
                                        <td><input type="text" name="divisionname[]" class="form-control form-control-sm" placeholder="slot name" value="<?= $devRow['division_name']; ?>" /></td>
                                        <td>
                                            <input type="file" name="divisionimg[]" class="form-control form-control-sm" accept="image/png, image/gif, image/jpeg, image/jpg" />
                                            <label class="form-label">Current Image</label>
                                            <input type="hidden" name="divimg[]" value = "<?= $devRow['division_img']; ?>">
                                            <div class="flex-shrink-0"><img src="divisionimage/<?= $devRow['division_img']; ?>" alt="user image" class="img-radius wid-40"></div>
                                        </td>
                                        <td><input type="number" name="entry[]" class="form-control form-control-sm qty1" value="<?= $devRow['entry']; ?>" onkeyup="calculateSum(event)"/></td>
                                        <td><input type="number" name="minamt[]" class="form-control form-control-sm" placeholder="Minimum Amount" value="<?= $devRow['min_amt']; ?>" /></td>
                                        <td><input type="number" name="maxamt[]" class="form-control form-control-sm" placeholder="Maximum Amount" value="<?= $devRow['max_amt']; ?>" /></td>
                                    </tr>
                                    <?php
                                    }
                                    ?>
                                </tbody>
                                <tbody id="slotid"></tbody>
                            </table>
                        </div>
                        <div class="card-footer text-end">
                            <button type="submit" name="submit" id="submit" class="btn btn-primary me-2" >Submit</button>
                            <a href="mas_slot.php" class="btn btn-secondary">Back</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>

<?php include 'layouts/footer.php'; ?>
<script>

    document.getElementById('amountForm').addEventListener('submit', function(event) {
        // const divisionvalue = document.getElementById('divisionvalue');
        const totalentry = document.getElementById('totalentry');

        // const division = parseFloat(divisionvalue.value);
        const entry = parseFloat(totalentry.value);

        let isValid = true;

        // if (isNaN(division) || division <= 0) {
        //     alert('Division value must be greater than 0.');
        //     isValid = false;
        // }

        if (isNaN(entry) || entry <= 0) {
            alert('Maximum entry must be greater than 0.');
            isValid = false;
        }

        if (!isValid) {
            event.preventDefault();
        }
    });

    function calculateSum() {
        var sum = 0;
        var elements = document.querySelectorAll('.qty1');
        elements.forEach(function(element) {
            sum += parseFloat(element.value) || 0;
        });

        const totalentry = document.getElementById('totalentry');
        const entry = parseFloat(totalentry.value);

        if(entry < sum){
            alert('Maximum entry value '+entry+' only allowed');
            elements.forEach(function(element) {
                element.value = '';
            });
        }
    }



    function divisionCount(event){
        var value = event.target.value;
        if(value > 0){

            var container = document.getElementById('slotid');
            container.innerHTML = '';
            for (let i = 1; i <= value; i++) {
            
                var html = '';
                html += '<tr>';
                html += '<td><input type="number" class="form-control form-control-sm" value="'+i+'" readonly /></td>';
                html += '<td><input type="text" name="divisionname[]" class="form-control form-control-sm" placeholder="slot name" /></td>';
                html += '<td><input type="file" name="divisionimg[]" class="form-control form-control-sm" accept="image/png, image/gif, image/jpeg, image/jpg" /></td>';
                html += '<td><input type="number" name="entry[]" class="form-control form-control-sm qty1" placeholder="entry" onkeyup="calculateSum(event)" /></td>';
                html += '<td><input type="number" name="minamt[]" class="form-control form-control-sm" placeholder="Minimum Amount" /></td>';
                html += '<td><input type="number" name="maxamt[]" class="form-control form-control-sm" placeholder="Maximum Amount" /></td>';
                html += '</tr>';

                container.innerHTML += html;
            }

        }else{
            alert("Slot value please enter the greater then 0");
        }
    }
</script>