<?php
include('db/connection.php');
date_default_timezone_set('Asia/Kolkata');
?>
<?php include 'layouts/header.php';?>
<?php include 'layouts/topbar.php';?>
<?php include 'layouts/sidebar.php';?>
<style>
    .card-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
</style>
<!-- [ Header ] end --><!-- [ Main Content ] start -->
<section class="pc-container">
    <div class="pc-content">
        <div class="page-header">
           <div class="page-block">
              <div class="row align-items-center">
                 <div class="col-md-12">
                    <ul class="breadcrumb">
                       <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                       <li class="breadcrumb-item"><a href="javascript: void(0)">Contest</a></li>
                    </ul>
                 </div>
              </div>
           </div>
        </div>
        <div class="row">
            <div class="col-xl-12">
                <div class="card">
                    <div class="card-header">
                        <h4>Contest</h4>
                        <div class="button-container">
                            <a href="add_slot.php" class="btn btn-primary">Add Contest</a>
                        </div>
                    </div>
                    <div class="card-body table-border-style">
                        <div class="table-responsive">
                           <table class="table" id="pc-dt-addrow">
                              <thead>
                                 <tr>
                                    <th>S No</th>
                                    <th>Contest Id</th>
                                    <th>Contest Image</th>
                                    <th>Contest type</th>
                                    <th>Contest Name</th>
                                    <th>Slot Count</th>
                                    <th>Maximum Entry</th>
                                    <th>From date and time</th>
                                    <th>To date and time</th>
                                    <th>Spin end Date time</th>
                                    <th>Action</th>
                                 </tr>
                              </thead>
                              <tbody>
                                 <?php
                                 $sql = "SELECT * FROM mas_slot a LEFT OUTER JOIN mas_slot_type b ON a.slot_type = b.id";
                                 $result = $con->query($sql);
                                 $i =0;
                                 while ($row = $result->fetch_assoc()) {
                                    $i++;
                                 ?>
                                 <tr>
                                    <td><?= $i;?></td>
                                    <td><?= $row['primary_id'];?></td>
                                    <td><div class="flex-shrink-0"><img src="slotimage/<?= $row['slot_img']; ?>" alt="user image" class="img-radius wid-40"></div></td>
                                    <td><?= $row['type'];?></td>
                                    <td><?= $row['slot_name'];?></td>
                                    <td><?= $row['divisionvalue'];?></td>
                                    <td><?= $row['totalentry'];?></td>
                                    <td><?= $row['fromdatetime'];?></td>
                                    <td><?= $row['todatetime'];?></td>
                                    <td><?= $row['spinenddatetime'];?></td>
                                    <td>
                                       <a href="view_slot.php?id=<?= $row['id']; ?>" class="avtar avtar-xs btn-link-secondary"><i class="ti ti-eye f-20"></i> </a>
                                       <a href="edit_slot.php?id=<?= $row['id']; ?>" class="avtar avtar-xs btn-link-secondary"><i class="ti ti-edit f-20"></i> </a>
                                       <!-- <a href="#" class="avtar avtar-xs btn-link-secondary"><i class="ti ti-trash f-20"></i></a> -->
                                    </td>
                                 </tr>
                                 <?php
                                 }
                                 ?>
                              </tbody>
                           </table>
                        </div>
                     </div>
                  </div>
               </div>
               <!-- [ basic-table ] end -->
            </div>




    </div>
</section>
<?php include 'layouts/footer.php';?>