<?php
include('db/connection.php');
date_default_timezone_set('Asia/Kolkata');

$id = $_GET['id'];

$sql = "SELECT * FROM mas_slot a LEFT OUTER JOIN mas_slot_type b ON a.slot_type = b.id WHERE a.id = '$id'";
$result = $con->query($sql);
$row = $result->fetch_assoc();

$id = $row['id'];

$devsql = "SELECT * FROM divisions WHERE slot_id = '$id'";
$devresult = $con->query($devsql);

?>
<?php include 'layouts/header.php'; ?>
<?php include 'layouts/topbar.php'; ?>
<?php include 'layouts/sidebar.php'; ?>

<!-- [ Header ] end --><!-- [ Main Content ] start -->
<div class="pc-container">
    <div class="pc-content">
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12">
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                            <li class="breadcrumb-item"><a href="javascript: void(0)">Contest View</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="d-flex align-items-center justify-content-between">
                            <h5 class="mb-0">Contest View</h5>
                            <h5><i class="icon-svg-primary wid-20"></i><span class="p-l-5">Contest No : #<?=$row['primary_id'] ?></span></h5>
                            <div><a href="add_slot.php" class="btn btn-primary">Add Contest</a></div>
                        </div>
                    </div>

                    <div class="border-bottom card-body">
                        <div class="row">
                            <div class="col-sm-12">
                               
                                <table class="table">
                                    <thead>
                                        <th>Spin wheel image</th>
                                        <th>Spin wheel type</th>
                                        <th>Spin wheel name</th>
                                        <th>Slot Count</th>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td><div class="flex-shrink-0"><img src="slotimage/<?= $row['slot_img']; ?>" alt="user image" class="img-radius wid-40"></div></td>
                                            <td><?= $row['type'];?></td>
                                            <td><?= $row['slot_name'];?></td>
                                            <td><?= $row['divisionvalue'];?></td>
                                        </tr>
                                    </tbody>
                                </table>
                                <table class="table">
                                    <thead>
                                        <th>Maximum Entry</th>
                                        <th>Validate form date</th>
                                        <th>Validate to date</th>
                                        <th>Spin end date</th>
                                    </thead>
                                    <tbody>
                                        <td><?= $row['totalentry'];?></td>
                                        <td><?= $row['fromdatetime'];?></td>
                                        <td><?= $row['todatetime'];?></td>
                                        <td><?= $row['spinenddatetime'];?></td>
                                    </tbody>
                                </table> 
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <?php
                            while ($devrow = $devresult->fetch_assoc()) {
                            ?>
                            <div class="col-sm-6 col-lg-4 col-xxl-3">
                                <div class="card border">
                                    <div class="card-body p-2">
                                        <div class="position-relative">
                                            <img src="divisionimage/<?= $devrow['division_img'];?>" alt="img" height="100">
                                        </div>
                                        <ul class="list-group list-group-flush my-2">
                                            <li class="list-group-item px-0 py-2">
                                                <div class="d-flex align-items-center">
                                                    <div class="flex-grow-1 me-2"><h6 class="mb-1"><?= $devrow['division_name'];?></h6></div>
                                                </div>
                                            </li>
                                            <li class="list-group-item px-0 py-2">
                                                <div class="d-flex align-items-center">
                                                    <div class="flex-grow-1 me-2">
                                                        <p class="mb-0">Entry value</p>
                                                    </div>
                                                    <div class="flex-shrink-0">
                                                        <p class="text-muted mb-0"><?= $devrow['entry'];?></p>
                                                    </div>
                                                </div>
                                            </li>
                                            <li class="list-group-item px-0 py-2">
                                                <div class="d-flex align-items-center">
                                                    <div class="flex-grow-1 me-2">
                                                        <p class="mb-0">Minimum Amount (INVs)</p>
                                                    </div>
                                                    <div class="flex-shrink-0">
                                                        <p class="text-muted mb-0"><?= $devrow['min_amt'];?></p>
                                                    </div>
                                                </div>
                                            </li>
                                            <li class="list-group-item px-0 py-2">
                                                <div class="d-flex align-items-center">
                                                    <div class="flex-grow-1 me-2">
                                                        <p class="mb-0">Maximum Amount (INVs)</p>
                                                    </div>
                                                    <div class="flex-shrink-0">
                                                        <p class="text-muted mb-0"><?= $devrow['max_amt'];?></p>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <?php
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- [ Main Content ] end -->

<?php include 'layouts/footer.php'; ?>